describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/dessert')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/meals')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/dessert')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Strawberry Frozen Yoghurt')
            .should('contain', 'Lighter Summer Pavlova')
            .should('contain', 'Veganuary Orange Lollies')
        })
        it('strawberry froyo link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/frozen-yoghurt')
          })
          it('pavlova link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/pavlova')
          })
          it('lollies link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/lollies')
          })
    })